=== debian/watch ===
version=4
https://metacpan.org/release/Math-Random-OO   .*/Math-Random-OO-v?@ANY_VERSION@@ARCHIVE_EXT@$
